Description

Doxygen allows to import the documentation from external projects.

It is as easy as adding TAGFILES = "doxytags-larsoft.xml=http://nusoft.fnal.gov/larsoft/doxsvn/html|" to the project's Doxyfile.

These files are also easy for you to generate: GENERATE_TAGFILE = "doxytags-larsoft.xml" on LArSoft's Doxyfile is all it takes.

I would like LArSoft to provide this service.

The steps in my understanding are:

1. edit LArSoft's Doxyfile line GENERATE_TAGFILE to something like GENERATE_TAGFILE = "doxytags-larsoft.xml"

2. change the publishing script to also copy that file, either in the html/ directory or in the parent one

3. announce where the file is

Then my task will be to copy that file where | generate my documentation, edit my Doxyfile's line TAGFILES and enjoy it takes one

tenth of the time.

History

#1 - 01/27/2020 10:45 AM - Christopher Green

- Status changed from New to Accepted

#2 - 02/10/2020 10:25 AM - Kyle Knoepfel
- Estimated time set to 2.00 h
- Assignee set to Lynn Garren

- Status changed from Accepted to Assigned

#3 - 02/18/2020 12:40 PM - Lynn Garren
- % Done changed from 0 to 60
- Status changed from Assigned to Feedback

I've installed a doxytags-larsoft.xml file in the html directory. See if it works for you.

#4 - 02/18/2020 02:03 PM - Gianluca Petrillo
- % Done changed from 60 to 100

- Status changed from Feedback to Resolved

It works well for me.
There are some shortcomings in the Doxygen result, but that is a different matter.

| am marking this request as resolved, with my thanks.

#5 - 02/18/2020 02:42 PM - Lynn Garren

Thanks Gianluca. For reference, the master doxygen files are now in larreltools/doxygen.

#6 - 02/24/2020 10:26 AM - Kyle Knoepfel

- Status changed from Resolved to Closed
